summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlin Năstac <mrness@gentoo.org>2006-01-15 20:28:55 +0000
committerAlin Năstac <mrness@gentoo.org>2006-01-15 20:28:55 +0000
commitaa6bd45e2c625f38459159a85480a639ddcee30c (patch)
tree69aab8a908cb33dde19312e24c5d6cab80a2ab5b /net-proxy/havp/files
parentRemoved redundant dependencies provided by java.eclass (bug #118651). (diff)
downloadhistorical-aa6bd45e2c625f38459159a85480a639ddcee30c.tar.gz
historical-aa6bd45e2c625f38459159a85480a639ddcee30c.tar.bz2
historical-aa6bd45e2c625f38459159a85480a639ddcee30c.zip
Initial import from bug #99303.
Package-Manager: portage-2.0.53
Diffstat (limited to 'net-proxy/havp/files')
-rw-r--r--net-proxy/havp/files/digest-havp-0.761
-rw-r--r--net-proxy/havp/files/havp-0.76-gentoo.patch62
-rw-r--r--net-proxy/havp/files/havp.initd64
3 files changed, 127 insertions, 0 deletions
diff --git a/net-proxy/havp/files/digest-havp-0.76 b/net-proxy/havp/files/digest-havp-0.76
new file mode 100644
index 000000000000..073cfed79f92
--- /dev/null
+++ b/net-proxy/havp/files/digest-havp-0.76
@@ -0,0 +1 @@
+MD5 cb463ab58d7005487ad1d83350fb0128 havp-0.76.tar.gz 101916
diff --git a/net-proxy/havp/files/havp-0.76-gentoo.patch b/net-proxy/havp/files/havp-0.76-gentoo.patch
new file mode 100644
index 000000000000..b8540c7f049f
--- /dev/null
+++ b/net-proxy/havp/files/havp-0.76-gentoo.patch
@@ -0,0 +1,62 @@
+diff -Nur havp-0.76.orig/etc/havp/havp.config havp-0.76/etc/havp/havp.config
+--- havp-0.76.orig/etc/havp/havp.config 2006-01-08 18:29:00.000000000 +0200
++++ havp-0.76/etc/havp/havp.config 2006-01-15 20:55:18.320500500 +0200
+@@ -24,7 +24,7 @@
+ #
+ # Default:
+ # USER nobody
+-# GROUP nogroup
++# GROUP nobody
+
+ #
+ # The process id (PID) of the main HAVP process is written to this file.
+@@ -159,7 +159,7 @@
+ # en, de, it
+ #
+ # Default:
+-# TEMPLATEPATH /usr/local/etc/havp/templates/en
++# TEMPLATEPATH /etc/havp/templates/en
+
+ #
+ # Allow Range Requests
+@@ -176,14 +176,14 @@
+ # URL which won't be scanned
+ #
+ # Default:
+-# WHITELIST /usr/local/etc/havp/whitelist
++# WHITELIST /etc/havp/whitelist
+
+ #
+ # Blacklist files
+ # URL which are denied
+ #
+ # Default:
+-# BLACKLIST /usr/local/etc/havp/blacklist
++# BLACKLIST /etc/havp/blacklist
+
+ #
+ # Max size of downloads which were scanned
+diff -Nur havp-0.76.orig/havp/default.h.in havp-0.76/havp/default.h.in
+--- havp-0.76.orig/havp/default.h.in 2006-01-08 18:32:36.000000000 +0200
++++ havp-0.76/havp/default.h.in 2006-01-15 20:54:57.835220250 +0200
+@@ -45,15 +45,15 @@
+ #endif
+ #endif
+
+-#define WHITELISTFILE "/usr/local/etc/havp/whitelist"
+-#define BLACKLISTFILE "/usr/local/etc/havp/blacklist"
+-#define TEMPLATEDIR "/usr/local/etc/havp/templates/en"
+-#define CONFIGFILE "/usr/local/etc/havp/havp.config"
++#define WHITELISTFILE "/etc/havp/whitelist"
++#define BLACKLISTFILE "/etc/havp/blacklist"
++#define TEMPLATEDIR "/etc/havp/templates/en"
++#define CONFIGFILE "/etc/havp/havp.config"
+
+
+ //Change to User and Group
+ #define USER "nobody"
+-#define GROUP "nogroup"
++#define GROUP "nobody"
+
+ //Fork min server
+ #define SERVERNUMBER 4
diff --git a/net-proxy/havp/files/havp.initd b/net-proxy/havp/files/havp.initd
new file mode 100644
index 000000000000..c3b13f9cc804
--- /dev/null
+++ b/net-proxy/havp/files/havp.initd
@@ -0,0 +1,64 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net clamd
+ #havp could be used in conjuction with any parent proxies from below
+ use squid apache2 bfilter mman junkbuster oops polipo privoxy tinyproxy wwwoffled
+}
+
+get_havp_opt() {
+ eval HAVP_$1=`awk '/^[ \t]*'$1'[ \t]+/ { print $2; }' < /etc/havp/havp.config`
+}
+
+checkconfig() {
+ if [ ! -d /var/run/havp ] && ! mkdir /var/run/havp; then
+ eeror "Failed to create /var/run/havp"
+ return 1
+ fi
+ if [ ! -d /var/tmp/havp ] && ! mkdir /var/tmp/havp; then
+ eeror "Failed to create /var/tmp/havp"
+ return 1
+ fi
+
+ if [ ! -f /etc/havp/havp.config ] ; then
+ eerror "No /etc/havp/havp.config file exists!"
+ return 1
+ fi
+
+ local HAVP_USER
+ get_havp_opt USER
+ if [ -n "${HAVP_USER}" ] && ! getent passwd ${HAVP_USER} > /dev/null ; then
+ eerror "${HAVP_USER} user is missing!"
+ return 1
+ fi
+ local HAVP_GROUP
+ get_havp_opt GROUP
+ if [ -n "${HAVP_GROUP}" ] && ! getent group ${HAVP_GROUP} > /dev/null ; then
+ eerror "${HAVP_GROUP} group is missing!"
+ return 1
+ fi
+
+ chown -R "${HAVP_USER:-nobody}:${HAVP_GROUP:-nobody}" /var/run/havp /var/tmp/havp /var/log/havp && \
+ chmod -R 0755 /var/run/havp &&
+ chmod -R 0750 /var/tmp/havp
+}
+
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting HTTP AntiVirus proxy"
+ start-stop-daemon --start --exec /usr/sbin/havp > /dev/null
+ eend $?
+}
+
+stop() {
+ local HAVP_PIDFILE
+ get_havp_opt PIDFILE
+
+ ebegin "Stopping HTTP AntiVirus proxy"
+ start-stop-daemon --stop --pidfile=${HAVD_PIDFILE:-/var/run/havp/havp.pid}
+ eend $?
+}